Loading...
Searching...
No Matches
casacore::RFReader Class Referenceabstract
images package (libcasa_images) » Regions_module

Abstract superclass for any class that reads a format that produces Regions from a file. More...

`#include <RFReaderWriter.h>`

## Public Member Functions

| RFReader ()
| Constructor.
virtual | ~RFReader ()
| Destructor.
virtual Record * | options ()
| Provides access to the plotting options that were found in the region file.
virtual bool | read (Record &region)=0
| reported, false otherwise.
virtual bool | readFile (const String &file, Record &region)
| Calls setFile() then read().
Public Member Functions inherited from casacore::RFReaderWriter
| RFReaderWriter ()
| Constructor.
virtual | ~RFReaderWriter ()
| Destructor.
virtual void | setFile (const String &filename)
| Sets the file to be read/written to the given.
virtual void | setName (const String &regionName)
| Sets the region name associated withe the file to be read or written.
virtual const RFError & | lastError () const
| Returns the last error set during read/write.

## Additional Inherited Members

Public Types inherited from casacore::RFReaderWriter
enum | SupportedType { AIPS_BOX , DS9 , CASA_XML , AIPS_IO }
| An enum of all known subclasses/formats supported. More...
Static Public Member Functions inherited from casacore::RFReaderWriter
static SupportedType | supportedTypes (String type)
| Converts between enum and String for SupportedType.
static String | supportedTypes (SupportedType type)
static String | extensionForType (SupportedType type)
| Returns the file extension for the given SupportedType.
static Vector< SupportedType > | supportedTypes ()
| Returns all known SupportedTypes.
static Vector< String > | supportedTypeStrings ()
static RFReader * | readerForType (SupportedType type)
| Returns an appropriate child RFReader class for the given SupportedType, or NULL for an error (shouldn't happen).
static RFWriter * | writerForType (SupportedType type)
| Returns an new appropriate child RfWriter class for the given SupportedType, or NULL for an error (shouldn't happen).
static Record * | optionsWidgetForType (SupportedType type)
| Returns an new appropriate options widget for the given SupportedType, or NULL for an error (shouldn't happen).
Protected Member Functions inherited from casacore::RFReaderWriter
virtual void | setError (const String &error, bool fatal=false) const
| Convenience method for setting last error during read/write.
Protected Attributes inherited from casacore::RFReaderWriter
String * | pFilename_p
| Filename to be read/written.
String * | pRegionName_p
| Name to be assigned to the region.
RFError | lastError_p
| Last error seen during read/write.
Record | options_p
| Record containg plotting options for the regions.

## Detailed Description

Abstract superclass for any class that reads a format that produces Regions from a file.

### Intended use:

Public interface

### Synopsis

Provide a well defined set of operations for reading region files, regardless of the data format.

Note that some file formats allow for plotting options to be defined as well as the regions. These options are read and stored in a record of..., the contents of this record is ill-defined (ie. there is no standard).

There may come a time where a standard is necessary.

### Example

Definition at line 220 of file RFReaderWriter.h.

## Constructor & Destructor Documentation

## RFReader()

casacore::RFReader::RFReader | ( |  | ) |

inline

Constructor.

Definition at line 224 of file RFReaderWriter.h.

## ~RFReader()

virtual casacore::RFReader::~RFReader | ( |  | ) |

inline virtual

Destructor.

Definition at line 227 of file RFReaderWriter.h.

## Member Function Documentation

## options()

virtual Record * casacore::RFReader::options | ( |  | ) |

inline virtual

Provides access to the plotting options that were found in the region file.

Definition at line 231 of file RFReaderWriter.h.

References casacore::RFReaderWriter::options_p, and casacore::Record().

Referenced by casacore::AipsIOReaderWriter::setOptions().

## read()

virtual bool casacore::RFReader::read | ( | Record & | region | ) |

pure virtual

reported, false otherwise.

If false is returned, the details can be found using lastError(). Any valid Regions that were read from the file are placed in the given vector (which is cleared first).

Implemented in casacore::AipsIOReaderWriter.

References casacore::Record().

## readFile()

virtual bool casacore::RFReader::readFile | ( | const String & | file,
|  | Record & | region )

inline virtual

Calls setFile() then read().

Definition at line 242 of file RFReaderWriter.h.

References casacore::read(), casacore::Record(), and casacore::RFReaderWriter::setFile().

The documentation for this class was generated from the following file:

- images/Regions/RFReaderWriter.h